<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace AxiosAssystModule\Model\Entity;

use Cake\ORM\Entity;

/**
 * AxiosObject Entity
 *
 * @property int $id
 * @property int $axios_id
 * @property int $element_id
 * @property string $type
 *
 */
class AxiosObject extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'axios_id'   => true,
        'element_id' => true,
        'type'       => true,
    ];
}
